# Class TaskContext

- Defined in src/services/task_context.ts:9

##### Index

### Constructors

constructor

### Properties

data
noteDeletionHandlerTriggered

### Methods

increaseProgressCount
reportError
taskSucceeded
getInstance

## Constructors

### constructor

- new TaskContext(
  taskId: string,
  taskType?: null | string,
  data?: null | {},
  ): TaskContext

  #### Parameters

  - taskId: string
  - taskType: null | string = null
  - data: null | {} = {}

  #### Returns TaskContext

  - Defined in src/services/task_context.ts:17

## Properties

### data

data: null | TaskData

- Defined in src/services/task_context.ts:14

### noteDeletionHandlerTriggered

noteDeletionHandlerTriggered: boolean

- Defined in src/services/task_context.ts:15

## Methods

### increaseProgressCount

- increaseProgressCount(): void

  #### Returns void

  - Defined in src/services/task_context.ts:42

### reportError

- reportError(message: string): void

  #### Parameters

  - message: string

  #### Returns void

  - Defined in src/services/task_context.ts:58

### taskSucceeded

- taskSucceeded(result?: string | Record <string, undefined | string>): void

  #### Parameters

  - `Optional` result: string | Record <string, undefined | string>

  #### Returns void

  - Defined in src/services/task_context.ts:68

### `Static` getInstance

- getInstance(taskId: string, taskType: string, data?: null | {}): TaskContext

  #### Parameters

  - taskId: string
  - taskType: string
  - data: null | {} = null

  #### Returns TaskContext

  - Defined in src/services/task_context.ts:34